关于ECS如何支持ASP.NET4.0和SQL2005的问题?-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

关于ECS如何支持ASP.NET4.0和SQL2005的问题?

清风31 2015-08-22 11:54:16 7522
我有一个网站源码是ASP.NET4.0+SQL2005的


现在就有一个疑问,我要用什么操作系统,可以完美支持这个网站的环境。系统我已经选择windows server平台了。现在有几个问题,没有解决?
第一,我选择的是双核,2G内存,送的40G,加另外一块外挂40G的硬盘。可以流畅运行windows server 2008 企业版64位上ASP.NET4.0+SQL2005吗?现在选择的带宽是5M的,如果不行,32位可以吗?再或者windows server 2003的32位或者64位的。
第二,哪个系统,支持SQL 2005数据库,和ASP.NET4.0
第三,以后,可能会改变网站的类型,所以,PHP环境也要考虑支持下。
第四,SQL2005数据库,必须选择哪个版本的,才能安装在server2008企业版64位上?必须要正版的吗?
第五,我的网站的日IP不确定,但是估计在几百到上万不等吧。以后可能会增加。宽带我现在选择的是5M的,够用吗?
SQL 弹性计算 PHP 数据库 Windows
分享到
取消 提交回答
全部回答(7)
  • dolphin2000
    2015-08-23 23:54:04

    第一,我选择的是双核,2G内存,送的40G,加另外一块外挂40G的硬盘。可以流畅运行windows server 2008 企业版64位上ASP.NET4.0+SQL2005吗?现在选择的带宽是5M的,如果不行,32位可以吗?再或者windows server 2003的32位或者64位的。
    -----------------------------
    不要装2008,装2008 R2,R2清一色64位,无32位。
    你的配置够了,不过我建议你硬盘用本地ssd盘,普通盘IO太弱,读取数据库会比较慢。



    第二,哪个系统,支持SQL 2005数据库,和ASP.NET4.0
    --------------------------------
    2008、2008R2、2012等都支持。


    第三,以后,可能会改变网站的类型,所以,PHP环境也要考虑支持下。
    ---------------------
    ASP.NET和PHP都要用的话,就win吧,推荐2008 R2。


    第四,SQL2005数据库,必须选择哪个版本的,才能安装在server2008企业版64位上?必须要正版的吗?
    ----------------------------------
    没有必须选择的版本,你可以用SQL SERVER的企业版。有钱当然正版,没钱“合理使用”。



    第五,我的网站的日IP不确定,但是估计在几百到上万不等吧。以后可能会增加。宽带我现在选择的是5M的,够用吗?
    ------------------------
    跨度好大,一般来说还是够了。
    0 0
  • 零云科技
    2015-08-22 20:54:25
    回 楼主(清风31) 的帖子
    用win 2008
    0 0
  • hehehehehe
    2015-08-22 19:33:05
    Re关于ECS如何支持ASP.NET4.0和SQL2005的问题?
    我用的是Windows Server 2008 R2标准版(64位)的,我用的是ASP.NET 2.0的,用的是SQL 2005的数据库。

    系统镜像好像支持ASP.NET 4.0。数据库要安装64位的就可以了。

    如果你需要数据库程序 ,我可以传给你。

    我选择的系统是主机宝,可以支持PHP程序。
    0 0
  • 孤城
    2015-08-22 14:13:53
    系统选择2003或者2008即可,宽带现在过大,2M即可了,如果内存没到4M,建议选择32位的系统

    -------------------------

    回 5楼(清风31) 的帖子
    下载的时候可以临时升级啊
    0 0
  • 徇云一五
    2015-08-22 12:45:39
    人家5个问题,你只回答了4个。
    几百到上万,这范围太大,要不先用2兆基本的带宽试试吧
    0 0
滑动查看更多
数据库
使用钉钉扫一扫加入圈子
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

推荐文章
相似问题
推荐课程